## Apache Zeta Components Manual :: Docs For Class ezcCacheStackStorageConfiguration

### Cache::ezcCacheStackStorageConfiguration

### Class ezcCacheStackStorageConfiguration

ezcCacheStackStorageConfiguration

Configuration for a ezcCacheStackableStorage inside an ezcCacheStack. The configuration consists of a string $id that identifies the $storage uniquely inside the stack. The $itemLimit is the maximum number of items that might be stored in the $storage at once. This number is determined by the used ezcCacheStackMetaData used in the stack. The $freeRate is the fraction of $itemLimit that will be freed by the used ezcCacheStackReplacementStrategy when the storage runs full.

Source for this file: /Cache/src/stack/storage_configuration.php

Version: | //autogen//

### Properties

float | read | `$freeRate` Fraction of $itemLimit that is freed if $storage runs full.
string | read | `$id` The unique ID of the configured storage in the stack.
int | read | `$itemLimit` Maximum number of items to be stored in $storage.
ezcCacheStackableStorage | read | `$storage` The storage that is configured with this configuration. A storage might only be part of 1 stack and this only once.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'id' => null, 'storage' => null, 'itemLimit' => null, 'freeRate' => null, )` Properties

### Method Summary

public ezcCacheStackStorageConfiguration | `__construct( $id , $storage , $itemLimit , $freeRate )` Creates a new storage configuration.

### Methods

#### __construct

ezcCacheStackStorageConfiguration __construct( string $id , ezcCacheStackableStorage $storage , int $itemLimit , float $freeRate )

Creates a new storage configuration.

This method creates an new configuration with the given values. Note that, once set, these values cannot be changed anymore to avoid inconsistencies in the stack. For details about the parameters, please refer to the properties documentation of this class.

Note that the properties can only be set once, using this constructore, and are not changeable via property access.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$storage` | ezcCacheStackableStorage |
`$itemLimit` | int |
`$freeRate` | float |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if a given value does not conform to the indicated format.

Documentation generated by phpDocumentor 1.4.3